## START: Set by rpmautospec
## (rpmautospec version 0.7.3)
## RPMAUTOSPEC: autorelease, autochangelog
%define autorelease(e:s:pb:n) %{?-p:0.}%{lua:
    release_number = 2;
    base_release_number = tonumber(rpm.expand("%{?-b*}%{!?-b:1}"));
    print(release_number + base_release_number - 1);
}%{?-e:.%{-e*}}%{?-s:.%{-s*}}%{!?-n:%{?dist}}
## END: Set by rpmautospec

# Generated by rust2rpm 26
%bcond check 1

%global crate cargo-vendor-filterer

Name:           rust-cargo-vendor-filterer
Version:        0.5.17
Release:        %autorelease
Summary:        Cargo vendor, but with filtering for platforms and more

License:        Apache-2.0
URL:            https://crates.io/crates/cargo-vendor-filterer
Source:         %{crates_source}
# Automatically generated patch to strip dependencies and normalize metadata
Patch:          cargo-vendor-filterer-fix-metadata-auto.diff

BuildRequires:  cargo-rpm-macros >= 24
# for updating dependency versions in %%prep
BuildRequires:  tomcli

%global _description %{expand:
`cargo vendor`, but with filtering for platforms and more.}

%description %{_description}

%package     -n %{crate}
Summary:        %{summary}
# 0BSD OR MIT OR Apache-2.0
# Apache-2.0
# Apache-2.0 OR BSL-1.0
# Apache-2.0 OR MIT
# Apache-2.0 WITH LLVM-exception OR Apache-2.0 OR MIT
# MIT
# MIT OR Apache-2.0
# MIT OR Apache-2.0 OR Zlib
# MIT OR Zlib OR Apache-2.0
# Unlicense OR MIT
# Zlib OR Apache-2.0 OR MIT
License:        (0BSD OR MIT OR Apache-2.0) AND Apache-2.0 AND (Apache-2.0 OR BSL-1.0) AND (Apache-2.0 OR MIT) AND (Apache-2.0 WITH LLVM-exception OR Apache-2.0 OR MIT) AND MIT AND (Unlicense OR MIT) AND (Zlib OR Apache-2.0 OR MIT)
# LICENSE.dependencies contains a full license breakdown

%description -n %{crate} %{_description}

%files       -n %{crate}
%license LICENSE
%license LICENSE.dependencies
%doc README.md
%{_bindir}/cargo-vendor-filterer

%package        devel
Summary:        %{summary}
BuildArch:      noarch

%description    devel %{_description}

This package contains library source intended for building other packages which
use the "%{crate}" crate.

%files          devel
%license %{crate_instdir}/LICENSE
%doc %{crate_instdir}/README.md
%{crate_instdir}/

%package     -n %{name}+default-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+default-devel %{_description}

This package contains library source intended for building other packages which
use the "default" feature of the "%{crate}" crate.

%files       -n %{name}+default-devel
%ghost %{crate_instdir}/Cargo.toml

%prep
%autosetup -n %{crate}-%{version} -p1
# remove unwanted features
tomcli set Cargo.toml del features.vendored-openssl
%cargo_prep

%generate_buildrequires
%cargo_generate_buildrequires

%build
%cargo_build
%{cargo_license_summary}
%{cargo_license} > LICENSE.dependencies

%install
%cargo_install

%if %{with check}
%check
# some tests download from crates.io
%cargo_test -- -- --skip vendor_filterer::
%endif

%changelog
## START: Generated by rpmautospec
* Thu Feb 06 2025 Fabio Valentini <decathorpe@gmail.com> - 0.5.17-2
- Rebuild for openssl crate >= v0.10.70 (RUSTSEC-2025-0004)

* Mon Jan 20 2025 Yaakov Selkowitz <yselkowi@redhat.com> - 0.5.17-1
- Update to 0.5.17 (rhbz#2338691)

* Sun Jan 19 2025 Fedora Release Engineering <releng@fedoraproject.org> - 0.5.16-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_42_Mass_Rebuild

* Mon Dec 02 2024 Fabio Valentini <decathorpe@gmail.com> - 0.5.16-2
- Drop downstream-only downgrades for cargo-lock and toml dependencies

* Mon Oct 21 2024 Yaakov Selkowitz <yselkowi@redhat.com> - 0.5.16-1
- Update to 0.5.16

* Sun Oct 20 2024 Yaakov Selkowitz <yselkowi@redhat.com> - 0.5.15-1
- Update to 0.5.15

* Sun Aug 11 2024 Yaakov Selkowitz <yselkowi@redhat.com> - 0.5.14-1
- 0.5.14
## END: Generated by rpmautospec
